Bug 186767 - gfortran ICE on usage of -fbounds-check
gfortran ICE on usage of -fbounds-check
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 04:19 EST by Axel Thimm
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.1.0-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-06 10:02:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A tarball containing sample code to trigger the ICE (28.63 KB, application/x-bzip-compressed-tar)
2006-03-26 04:19 EST, Axel Thimm
no flags Details

  None (edit)
Description Axel Thimm 2006-03-26 04:19:34 EST
Description of problem:
gfortran has an ICE when the -fbounds-check option is used. It compiles properly
when used w/o -fbounds-check

Version-Release number of selected component (if applicable):
gcc-gfortran-4.1.0-3

How reproducible:
always

Steps to Reproduce:
1.download the attachment
2 [details].untar it
3.run make
  
Actual results:

gfortran -c -fbounds-check -O3 -ffast-math td_exp_oct.f90
td_exp_oct.f90: In function ‘td_exp_dt’:
td_exp_oct.f90:9: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
make: *** [td_exp_oct.o] Error 1

Expected results:

Should build like when used w/o bounds-check

Additional info:
I checked rawhide for any newer gcc-gfortran to test with to provide a better
report. If a new gcc build hits rawhide let me know, and I'll repeat the tests.
Thanks!
Comment 1 Axel Thimm 2006-03-26 04:19:34 EST
Created attachment 126763 [details]
A tarball containing sample code to trigger the ICE
Comment 2 Jakub Jelinek 2006-04-06 10:02:56 EDT
Fixed between 4.1.0-3 and 4.1.0-5.

Note You need to log in before you can comment on or make changes to this bug.